<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>libgdamm: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">libgdamm
   &#160;<span id="projectnumber">4.99.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li class="current"><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="contents">
&#160;

<h3><a class="anchor" id="index_o"></a>- o -</h3><ul>
<li>on_changed()
: <a class="el" href="classGnome_1_1Gda_1_1DataModel.html#ad2b5d34b8de0068eb9da6d6c4c978adb">Gnome::Gda::DataModel</a>
, <a class="el" href="classGnome_1_1Gda_1_1Holder.html#a57aff0961cadd31ba600ff5e1f38b123">Gnome::Gda::Holder</a>
</li>
<li>on_checked()
: <a class="el" href="classGnome_1_1Gda_1_1Statement.html#a6caa6ce89c63fa08017e32f457932dd6">Gnome::Gda::Statement</a>
</li>
<li>on_conn_closed()
: <a class="el" href="classGnome_1_1Gda_1_1Connection.html#a637d5304a7bf1382c1de04965d88f88d">Gnome::Gda::Connection</a>
</li>
<li>on_conn_opened()
: <a class="el" href="classGnome_1_1Gda_1_1Connection.html#a36b6be65dfa0340681d401d918170469">Gnome::Gda::Connection</a>
</li>
<li>on_conn_to_close()
: <a class="el" href="classGnome_1_1Gda_1_1Connection.html#aac946602f8cf3486d6dabc7a202aecc1">Gnome::Gda::Connection</a>
</li>
<li>on_dsn_changed()
: <a class="el" href="classGnome_1_1Gda_1_1Connection.html#ae1d2129ff3cd78d4458bfa2c0c7592e4">Gnome::Gda::Connection</a>
</li>
<li>on_end_of_data()
: <a class="el" href="classGnome_1_1Gda_1_1DataModelIter.html#aec5b62618be5655fcebc8be570741b55">Gnome::Gda::DataModelIter</a>
</li>
<li>on_error()
: <a class="el" href="classGnome_1_1Gda_1_1Connection.html#a0dae4b40dd4afd2df0286df982dfa864">Gnome::Gda::Connection</a>
</li>
<li>on_g_type_changed()
: <a class="el" href="classGnome_1_1Gda_1_1Column.html#ab75509d67ccd71f16d1408fdf5da48c5">Gnome::Gda::Column</a>
</li>
<li>on_holder_changed()
: <a class="el" href="classGnome_1_1Gda_1_1Set.html#a8742c0097343f63637ab3b8fb8c3934c">Gnome::Gda::Set</a>
</li>
<li>on_meta_reset()
: <a class="el" href="classGnome_1_1Gda_1_1MetaStore.html#a14bdb9f22f98f938d7a78670bf2f1bd4">Gnome::Gda::MetaStore</a>
</li>
<li>on_name_changed()
: <a class="el" href="classGnome_1_1Gda_1_1Column.html#a5054ebd2e1ff9f4d2e9d5a12e5927736">Gnome::Gda::Column</a>
</li>
<li>on_public_data_changed()
: <a class="el" href="classGnome_1_1Gda_1_1Set.html#acddf3442483d7679b0efc12d0a366649">Gnome::Gda::Set</a>
</li>
<li>on_reset()
: <a class="el" href="classGnome_1_1Gda_1_1DataModel.html#afe8e17786482da3dac487bb939a385bd">Gnome::Gda::DataModel</a>
, <a class="el" href="classGnome_1_1Gda_1_1Statement.html#a01f715fa0529d35522d41ad9021bd21f">Gnome::Gda::Statement</a>
</li>
<li>on_row_changed()
: <a class="el" href="classGnome_1_1Gda_1_1DataModelIter.html#a4080e5f3e8dce18c1d04bb37f9cabf37">Gnome::Gda::DataModelIter</a>
</li>
<li>on_row_changes_applied()
: <a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#ac689dfcbe7495f5c336e130840846e2e">Gnome::Gda::DataProxy</a>
</li>
<li>on_row_delete_changed()
: <a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a1e1109b76776daeddea821cbab3c9cda">Gnome::Gda::DataProxy</a>
</li>
<li>on_row_inserted()
: <a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a7eaaaaaa4454e6ba834710339967c61a">Gnome::Gda::DataModel</a>
</li>
<li>on_row_removed()
: <a class="el" href="classGnome_1_1Gda_1_1DataModel.html#aa732165f7b86afdda700d934bdf39ab9">Gnome::Gda::DataModel</a>
</li>
<li>on_row_updated()
: <a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a4f8e768af7e1eac582934ed7e1572f4f">Gnome::Gda::DataModel</a>
</li>
<li>on_sample_changed()
: <a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a37b75ea13cca51a9500609979ed3e572">Gnome::Gda::DataProxy</a>
</li>
<li>on_sample_size_changed()
: <a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a606d9d28b53ede9b1d335e4968247324">Gnome::Gda::DataProxy</a>
</li>
<li>on_source_changed()
: <a class="el" href="classGnome_1_1Gda_1_1Holder.html#acf7c85a3d28f1bb1bcde5edfa575a8f1">Gnome::Gda::Holder</a>
</li>
<li>on_transaction_status_changed()
: <a class="el" href="classGnome_1_1Gda_1_1Connection.html#a1356430c438f636cd6944e9a3e06202b">Gnome::Gda::Connection</a>
</li>
<li>open()
: <a class="el" href="classGnome_1_1Gda_1_1Connection.html#a9ca58d34a7f005fd14636ac16d598a10">Gnome::Gda::Connection</a>
</li>
<li>open_from_string()
: <a class="el" href="classGnome_1_1Gda_1_1Connection.html#aacac9c7b117bc67729cfeecf8947f04d">Gnome::Gda::Connection</a>
</li>
<li>operator!=()
: <a class="el" href="classGnome_1_1Gda_1_1Value.html#aa2ade9feb452fbb3f8af35fe2275e6fa">Gnome::Gda::Value</a>
</li>
<li>operator=()
: <a class="el" href="classGnome_1_1Gda_1_1Batch.html#a82fadeff3fcd8c80939566e18252cab2">Gnome::Gda::Batch</a>
, <a class="el" href="classGnome_1_1Gda_1_1Blob.html#aa505a56e1ff365dd5d5a524d1563d083">Gnome::Gda::Blob</a>
, <a class="el" href="classGnome_1_1Gda_1_1BlobOp.html#ae6681087130782b2d5198fc82076dbc1">Gnome::Gda::BlobOp</a>
, <a class="el" href="classGnome_1_1Gda_1_1Column.html#aae5ce1a3850d9f4753f499798d659312">Gnome::Gda::Column</a>
, <a class="el" href="classGnome_1_1Gda_1_1Config.html#a0c7ff7b9c8d5c2e86125d986d641caad">Gnome::Gda::Config</a>
, <a class="el" href="classGnome_1_1Gda_1_1Connection.html#ab6fed7953372d032794ec5ba24068c8c">Gnome::Gda::Connection</a>
, <a class="el" href="classGnome_1_1Gda_1_1ConnectionEvent.html#a9d4af6582b9c607013e55391429e92f3">Gnome::Gda::ConnectionEvent</a>
, <a class="el" href="classGnome_1_1Gda_1_1DataAccessWrapper.html#a8bb7f21fa4afcbf06adf8ac076fa933c">Gnome::Gda::DataAccessWrapper</a>
, <a class="el" href="classGnome_1_1Gda_1_1DataComparator.html#a5174501c00df26d81df417799c9ffbcc">Gnome::Gda::DataComparator</a>
, <a class="el" href="classGnome_1_1Gda_1_1DataHandler.html#a6630dd2dc0752c50becce26657b691e4">Gnome::Gda::DataHandler</a>
, <a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a06813e4bc6e63bc51d2e8704b737d641">Gnome::Gda::DataModel</a>
, <a class="el" href="classGnome_1_1Gda_1_1DataModelArray.html#a2595bf0f2379e1d7503f45db57a3b2c5">Gnome::Gda::DataModelArray</a>
, <a class="el" href="classGnome_1_1Gda_1_1DataModelImport.html#a08fcb1ad8e49b1176c86f2d2166d7a55">Gnome::Gda::DataModelImport</a>
, <a class="el" href="classGnome_1_1Gda_1_1DataModelIter.html#ac8104da77c83295d9ef3f323fdf542f9">Gnome::Gda::DataModelIter</a>
, <a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a72009c96a749c0ef27d1488a25e3816b">Gnome::Gda::DataProxy</a>
, <a class="el" href="classGnome_1_1Gda_1_1DataSelect.html#ad1c8968e6189300c919137aa19b9e284">Gnome::Gda::DataSelect</a>
, <a class="el" href="classGnome_1_1Gda_1_1HandlerBin.html#af440749fef72f76ea05792859bb8a1d4">Gnome::Gda::HandlerBin</a>
, <a class="el" href="classGnome_1_1Gda_1_1HandlerBoolean.html#a3f563fb20b92a489f79679fbf0d6d7f2">Gnome::Gda::HandlerBoolean</a>
, <a class="el" href="classGnome_1_1Gda_1_1HandlerNumerical.html#adfec75cad281695e7611065c423c7a84">Gnome::Gda::HandlerNumerical</a>
, <a class="el" href="classGnome_1_1Gda_1_1HandlerString.html#a34e3c00e21d018353670cd0b4d181a28">Gnome::Gda::HandlerString</a>
, <a class="el" href="classGnome_1_1Gda_1_1HandlerTime.html#af924015a560f95742dedcea091a3f0bb">Gnome::Gda::HandlerTime</a>
, <a class="el" href="classGnome_1_1Gda_1_1HandlerType.html#aff6c0d9975fa113ea152f36e836515b8">Gnome::Gda::HandlerType</a>
, <a class="el" href="classGnome_1_1Gda_1_1Holder.html#a1fa856bb47b9b2824fe3198c451035b0">Gnome::Gda::Holder</a>
, <a class="el" href="classGnome_1_1Gda_1_1MetaStore.html#a33c6cb08528249a8d247cf676d20d6b6">Gnome::Gda::MetaStore</a>
, <a class="el" href="classGnome_1_1Gda_1_1MetaStruct.html#aedd1b2a745dd19ff7b106af4646f90d1">Gnome::Gda::MetaStruct</a>
, <a class="el" href="classGnome_1_1Gda_1_1Numeric.html#a9da9303493cae4a23e75014c6080eec6">Gnome::Gda::Numeric</a>
, <a class="el" href="classGnome_1_1Gda_1_1QuarkList.html#a596b46e7f1e352f81cc90ceec1f3534e">Gnome::Gda::QuarkList</a>
, <a class="el" href="classGnome_1_1Gda_1_1Row.html#afd398de32472810efc506f6b9aaeb825">Gnome::Gda::Row</a>
, <a class="el" href="classGnome_1_1Gda_1_1ServerOperation.html#a90abf6438ad789036e48c5f9f17774c5">Gnome::Gda::ServerOperation</a>
, <a class="el" href="classGnome_1_1Gda_1_1ServerProvider.html#af2a3cea310d4a1a3110390f7988280aa">Gnome::Gda::ServerProvider</a>
, <a class="el" href="classGnome_1_1Gda_1_1Set.html#a521125436ce3430abaab2447dc8c4aad">Gnome::Gda::Set</a>
, <a class="el" href="classGnome_1_1Gda_1_1SqlBuilder.html#a866c29a11f92c54eee65119e3c5d42d5">Gnome::Gda::SqlBuilder</a>
, <a class="el" href="classGnome_1_1Gda_1_1SqlExpr.html#a7a58d2fe06ac8d72ad532100c2023e09">Gnome::Gda::SqlExpr</a>
, <a class="el" href="classGnome_1_1Gda_1_1SqlParser.html#a047525fd3578a10dfd0ef089e08e9b7a">Gnome::Gda::SqlParser</a>
, <a class="el" href="classGnome_1_1Gda_1_1SqlStatement.html#a24915a4ac05e04ba0d3f799c4b658a23">Gnome::Gda::SqlStatement</a>
, <a class="el" href="classGnome_1_1Gda_1_1Statement.html#a3b32279f8438f36079d03e9a0665327b">Gnome::Gda::Statement</a>
, <a class="el" href="classGnome_1_1Gda_1_1TransactionStatus.html#ae658c7b9b34e7800baa66753369e87ea">Gnome::Gda::TransactionStatus</a>
, <a class="el" href="classGnome_1_1Gda_1_1Value.html#a100c9ef9cf37842c444312cfe08430d6">Gnome::Gda::Value</a>
, <a class="el" href="classGnome_1_1Gda_1_1XaTransaction.html#a4e0f8459cad5a465e127c886ca7c0fa4">Gnome::Gda::XaTransaction</a>
</li>
<li>operator==()
: <a class="el" href="classGnome_1_1Gda_1_1Value.html#ab2962b1d8d0c90355f53c596c6d5698f">Gnome::Gda::Value</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 4 2015 15:04:40 for libgdamm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
